﻿@model IEnumerable<Splorr.Web.Models.UserInstanceModel>
@{
    ViewBag.Title = "Index";
}

<table class="table table-striped table-bordered table-hover">
    <thead>
        <tr>
            <th>@Splorr.Web.Resources.Strings.PlayBuild</th>
            <th>@Splorr.Web.Resources.Strings.Name</th>
            <th>@Splorr.Web.Resources.Strings.PublicPrivate</th>
            <th>@Splorr.Web.Resources.Strings.OpenClosed</th>
            <th>@Splorr.Web.Resources.Strings.Locked</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var userInstance in Model)
        {
        <tr>
            <td>@userInstance.InstanceType</td>
            <td>@userInstance.InstanceName</td>
            <td>@((userInstance.Public) ? (Splorr.Web.Resources.Strings.Public) : (Splorr.Web.Resources.Strings.Private))</td>
            <td>@((userInstance.Closed) ? (Splorr.Web.Resources.Strings.Closed) : (Splorr.Web.Resources.Strings.Open))</td>
            <td>@((userInstance.Locked) ? (Splorr.Web.Resources.Strings.Locked) : (Splorr.Web.Resources.Strings.Unlocked))</td>
        </tr>
        }
    </tbody>
</table>